<?php

function directory_list($path, $types="directories", $recursive=0,$file_list=array()) {
   // get a list of just the dirs and turn the list into an array
   // @path        starting path from which to search
   // @types        can be "directories", "files", or "all"
   // @recursive    determines whether subdirectories are searched
  
   if ($dir = opendir($path)) {
       while (false !== ($file = readdir($dir))){
           // ignore the . and .. file references
           if (($file != '.') && ($file != '..') && ($file != "CVS")) {
               // check whether this is a file or directory and whether we're interested in that type
               if ((is_dir($path."/".$file))) {
                        if (($types=="directories") || ($types=="all")) {
                                $file_list[] = $path . "/" . $file;
                        }
                    // if we're in a directory and we want recursive behavior, call this function again
                    if ($recursive) {
                       $file_list = directory_list($path."/".$file."/", $types, $recursive,$file_list);
                    }
               } else if (($types == "files") || ($types == "all")) {
                   $file_list[] = $path . "/" . $file;
               }
           }
       }
       closedir($dir);
       return $file_list;
   } else {
       return false;
   }
}

$basedir = "includes/language";
$german = array("includes/language/german.php");
$german = directory_list($basedir . "/german","files",1,$german);

$languages = directory_list($basedir);

while (list(,$file) = each($german)) {
  $handle = fopen($file,"r");
  unset($germ);
  $germ = array();
  while (!feof($handle)) {
    $line = fgets($handle);
    $line = preg_replace("/(\r|\n)*$/","",$line);
    $line = preg_replace("/^define\(/","",$line);
    $line = preg_replace("/\);$/","",$line);
    if (preg_match("/^(\"|')/",$line)) {
      list($key,$val) = split(",",$line);
      $key = preg_replace("/(\"|')/","",$key);
      $germ[$key] = preg_replace("/(\"|')/","",$val);
    }
  }
  fclose($handle);

  unset($lang_array);
  $lang_array = $languages;
  while (list(,$new_lang) = each($lang_array)) {
    if (!preg_match("/german/",$new_lang)) {
      $this = preg_replace("#includes/language/#","",$new_lang);
      $new_file = preg_replace("#includes/language/german#",$new_lang,$file);
      if (file_exists($new_file)) {
        $new_handle = fopen($new_file,"r");
	unset($lang);
        $lang = array();
        while (!feof($new_handle)) {
          $new_line = fgets($new_handle);
          $new_line = preg_replace("/(\r|\n)*$/","",$new_line);
          $new_line = preg_replace("/^define\(/","",$new_line);
          $new_line = preg_replace("/\);$/","",$new_line);
          if (preg_match("/^(\"|')/",$new_line)) {
            list($key,$val) = split(",",$new_line);
	    $key = preg_replace("/(\"|')/","",$key);
	    $lang[$key] = preg_replace("/(\"|')/","",$val);
          }
        }
        fclose($new_handle);

      } else {
        unset($germ_array);
        $germ_array = $germ;
	unset($lang);
	$lang = array();
	$count = 0;
	while(list($key,$val) = each($germ_array)) {
	  $lang[$key] = '';
	  $count++;
	}
	$erg[$this][$new_file] += $count;
	$h = fopen($new_file,"w");
	fclose($h);
      }
      unset($germ_array);
      $germ_array = $germ;
      $count = 0;
      while (list($key,$val) = each($germ_array)) {
        if (!array_key_exists($key,$lang)) {
	  $lang[$key] = '';
	  $count++;
	}
      }
      $erg[$this][$new_file] += $count;

      $h = fopen($new_file,"w");
      fwrite($h,"<?php\n");
      while (list($key,$val) = each($lang)) {
        $string = "define('".$key."','".$val."');\n";
	fwrite($h,$string);
      }
      fwrite($h,"?>\n");
      fclose($h);
    }
  }
}

while (list($language,$array) = each($erg)) {
  echo "Language: " . $language . ":\n";
  while (list($k,$v) = each($array)) {
    if ($v > 0) {
      echo "File: " . $k . " -> " . $v . " changes\n";
    }
  }
}

?>
