-- MySQL dump 9.11
--
-- Host: localhost    Database: provider
-- ------------------------------------------------------
-- Server version	4.0.20-log

--
-- Table structure for table `alias`
--

CREATE TABLE alias (
  id int(11) NOT NULL auto_increment,
  alias varchar(128) NOT NULL default '',
  destination varchar(128) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

--
-- Dumping data for table `alias`
--

--
-- Table structure for table `customers`
--

CREATE TABLE customers (
  customer varchar(8) NOT NULL default '',
  realname varchar(30) NOT NULL default '',
  customer_number int(20) NOT NULL default '0',
  street varchar(100) NOT NULL default '',
  postcode varchar(10) NOT NULL default '',
  city varchar(50) NOT NULL default '',
  country varchar(50) NOT NULL default '',
  telephone varchar(50) NOT NULL default '',
  facsimile varchar(50) NOT NULL default '',
  password tinytext NOT NULL,
  homedir varchar(255) NOT NULL default '',
  package int(10) NOT NULL default '0',
  isadmin enum('Y','N') NOT NULL default 'N',
  SESSION varchar(40) default NULL,
  timestamp timestamp(14) NOT NULL,
  ip_addr varchar(15) default NULL,
  language varchar(30) NOT NULL default '',
  PRIMARY KEY  (customer)
) TYPE=MyISAM;

--
-- Dumping data for table `customers`
--

INSERT INTO customers (customer, realname, customer_number, street, postcode, city, country, telephone, facsimile, password, homedir, package, isadmin, SESSION, timestamp, ip_addr, language) VALUES ('admin','Administrator',0,'','','','','','','43e9a4ab75570f5b','',10,'Y','8EKbynQ0mSJ0t9tV5VIiqSR6fnCDB4pm3Z6XksVw',20040705213457,'192.168.0.30','german');

--
-- Table structure for table `domains`
--

CREATE TABLE domains (
  customer varchar(20) NOT NULL default '',
  domain varchar(60) NOT NULL default '',
  data text NOT NULL
) TYPE=MyISAM;

--
-- Dumping data for table `domains`
--

INSERT INTO domains (customer, domain, data) VALUES ('udo','1','NameVirtualHost 192.168.0.30:80');

--
-- Table structure for table `packages`
--

CREATE TABLE packages (
  id int(10) NOT NULL auto_increment,
  name varchar(100) NOT NULL default '',
  domain int(10) NOT NULL default '1',
  email int(10) NOT NULL default '1',
  forward int(10) NOT NULL default '1',
  mysql enum('N','Y') NOT NULL default 'N',
  price decimal(10,2) NOT NULL default '0.00',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

--
-- Dumping data for table `packages`
--

INSERT INTO packages (id, name, domain, email, forward, mysql, price) VALUES (1,'Mini',1,1,10,'N','0.99');
INSERT INTO packages (id, name, domain, email, forward, mysql, price) VALUES (2,'Standard',2,10,100,'N','0.00');
INSERT INTO packages (id, name, domain, email, forward, mysql, price) VALUES (3,'Maxi',3,100,1000,'N','0.00');
INSERT INTO packages (id, name, domain, email, forward, mysql, price) VALUES (4,'Mega',10,1000,10000,'N','0.00');
INSERT INTO packages (id, name, domain, email, forward, mysql, price) VALUES (5,'Mini+DB',1,1,10,'Y','0.00');
INSERT INTO packages (id, name, domain, email, forward, mysql, price) VALUES (6,'Standard+DB',2,10,100,'Y','0.00');
INSERT INTO packages (id, name, domain, email, forward, mysql, price) VALUES (7,'Maxi+DB',3,100,1000,'Y','0.00');
INSERT INTO packages (id, name, domain, email, forward, mysql, price) VALUES (8,'Mega+DB',10,1000,10000,'Y','0.00');
INSERT INTO packages (id, name, domain, email, forward, mysql, price) VALUES (9,'Ultra',100,10000000,10000000,'N','0.00');
INSERT INTO packages (id, name, domain, email, forward, mysql, price) VALUES (10,'Ultra+DB',100,10000000,10000000,'Y','0.00');

--
-- Table structure for table `pmwh`
--

CREATE TABLE pmwh (
  option_name varchar(100) NOT NULL default '',
  option_value varchar(100) NOT NULL default '',
  PRIMARY KEY  (option_name,option_value)
) TYPE=MyISAM;

--
-- Dumping data for table `pmwh`
--

INSERT INTO pmwh (option_name, option_value) VALUES ('gid','1005');
INSERT INTO pmwh (option_name, option_value) VALUES ('homedir','/var/vmail/');
INSERT INTO pmwh (option_name, option_value) VALUES ('language','german');
INSERT INTO pmwh (option_name, option_value) VALUES ('logdir','/var/www/logs/');
INSERT INTO pmwh (option_name, option_value) VALUES ('log_offset','20');
INSERT INTO pmwh (option_name, option_value) VALUES ('proftp_get_ftp_password','N');
INSERT INTO pmwh (option_name, option_value) VALUES ('proftp_random_pwd','N');
INSERT INTO pmwh (option_name, option_value) VALUES ('proftp_show_stats','Y');
INSERT INTO pmwh (option_name, option_value) VALUES ('show_package','Y');
INSERT INTO pmwh (option_name, option_value) VALUES ('template','pmwh');
INSERT INTO pmwh (option_name, option_value) VALUES ('uid','1005');
INSERT INTO pmwh (option_name, option_value) VALUES ('username','vmail');
INSERT INTO pmwh (option_name, option_value) VALUES ('webroot','/var/www/');

--
-- Table structure for table `proftpd`
--

CREATE TABLE proftpd (
  domain varchar(250) NOT NULL default '',
  username varchar(250) NOT NULL default '',
  password varchar(20) NOT NULL default '',
  homedir varchar(250) NOT NULL default '',
  get_ftp_password varchar(50) NOT NULL default '',
  count int(6) NOT NULL default '0',
  bytes bigint(20) NOT NULL default '0',
  master varchar(250) NOT NULL default '',
  UNIQUE KEY username (username)
) TYPE=MyISAM;

--
-- Dumping data for table `proftpd`
--

--
-- Table structure for table `relocated`
--

CREATE TABLE relocated (
  id int(11) NOT NULL auto_increment,
  email varchar(128) NOT NULL default '',
  destination varchar(128) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

--
-- Dumping data for table `relocated`
--


--
-- Table structure for table `transport`
--

CREATE TABLE transport (
  id int(11) NOT NULL auto_increment,
  domain varchar(128) NOT NULL default '',
  destination varchar(128) NOT NULL default '',
  PRIMARY KEY  (id),
  UNIQUE KEY domain (domain)
) TYPE=MyISAM;

--
-- Dumping data for table `transport`
--

--
-- Table structure for table `users`
--

CREATE TABLE users (
  id int(11) NOT NULL auto_increment,
  email varchar(128) NOT NULL default '',
  password varchar(128) NOT NULL default '',
  name tinytext NOT NULL,
  uid int(11) NOT NULL default '99999',
  gid int(11) NOT NULL default '99999',
  homedir varchar(128) NOT NULL default '',
  maildir tinytext NOT NULL,
  quota tinytext NOT NULL,
  postfix enum('Y','N') NOT NULL default 'Y',
  PRIMARY KEY  (id),
  UNIQUE KEY email (email)
) TYPE=MyISAM;

--
-- Dumping data for table `users`
--

--
-- Table structure for table `virtual`
--

CREATE TABLE virtual (
  id int(11) NOT NULL auto_increment,
  email varchar(50) NOT NULL default '',
  destination text NOT NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

--
-- Dumping data for table `virtual`
--


